请在后台配置参数,参数名称:topads
网建经验

CentOS 安装 Docker

网建经验 HTML我帮您 5月前  4690次浏览
Docker从1.13版本之后采用时间线的方式作为版本号,分为社区版CE和企业版EE。 社区版是免费提供给个人开发者和小型团体使用的,企业版会提供额外的收费服务,比如经过官方测试认证过的基础设施、容器、插件等。

一、安装docker

1、Docker 要求 CentOS 系统的内核版本高于 3.10 ,查看本页面的前提条件来验证你的CentOS 版本是否支持 Docker 。

通过 uname -r 命令查看你当前的内核版本

$uname-r

2、使用 root 权限登录 Centos。确保 yum 包更新到最新。

$sudoyumupdate

3、卸载旧版本(如果安装过旧版本的话)

$sudoyumremove docker docker-common docker-selinux docker-engine

4、安装需要的软件包, yum-util 提供yum-config-manager功能,另外两个是devicemapper驱动依赖的

$sudoyuminstall-yyum-utils device-mapper-persistent-data lvm2

5、设置yum源

$sudoyum-config-manager --add-repo https://download.docker.com/linux/centos/docker-ce.repo


6、可以查看所有仓库中所有docker版本,并选择特定版本安装

$yumlist docker-ce --showduplicates |sort-r


7、安装docker

$sudoyuminstalldocker-ce#由于repo中默认只开启stable仓库,故这里安装的是最新稳定版17.12.0$sudoyuminstall# 例如:sudo yum install docker-ce-17.12.0.ce


8、启动并加入开机启动

$sudosystemctl start docker $sudosystemctl enable docker

9、验证安装是否成功(有client和service两部分表示docker安装启动都成功了)

$dockerversion


二、问题

1、因为之前已经安装过旧版本的docker,在安装的时候报错如下:

Transaction check error:file/usr/bin/docker frominstallof docker-ce-17.12.0.ce-1.el7.centos.x86_64 conflicts withfilefrom packagedocker-common-2:1.12.6-68.gitec8512b.el7.centos.x86_64file/usr/bin/docker-containerd frominstallof docker-ce-17.12.0.ce-1.el7.centos.x86_64 conflicts withfilefrom packagedocker-common-2:1.12.6-68.gitec8512b.el7.centos.x86_64file/usr/bin/docker-containerd-shim frominstallof docker-ce-17.12.0.ce-1.el7.centos.x86_64 conflicts withfilefrom packagedocker-common-2:1.12.6-68.gitec8512b.el7.centos.x86_64file/usr/bin/dockerd frominstallof docker-ce-17.12.0.ce-1.el7.centos.x86_64 conflicts withfilefrom packagedocker-common-2:1.12.6-68.gitec8512b.el7.centos.x86_64

2、卸载旧版本的包

$sudoyumerase docker-common-2:1.12.6-68.gitec8512b.el7.centos.x86_64

3、再次安装docker

$sudoyuminstalldocker-ce


版权所有

发表评论